<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://xmlns.jcp.org/jsf/facelets"

             template="/layout/template.xhtml">
    <br/>
    <b:button look="danger" size="sg" class="gzl-mt-2rem gzl-mb-1rem gzl-ml-3rem gzl-align-center"
              onclick="$('.formValidationDeactivateToken').modal('show')"
              value="Désactiver le token"/>
    <b:modal title="Désactiver le token actif ?" styleClass="formValidationDeactivateToken"
             closable="false"
             closeOnEscape="true">

        <h4 class="font-italic gzl-mb-3rem red bold">Cette opération est irreversible !</h4>
        <h5 class="black">En désactivant ce token, vous ne pourrez plus être en mesure d'accéder au service Gazelle.</h5>
        <h5 class="black">Afin de pouvoir continuer à utiliser lesdits services, vous devrez créer un nouveau token.</h5>
        <b:row>
            <b:column>
                <b:form>
                    <b:button class="gzl-mt-2rem" largeScreen="half" value="Annuler"
                              dismiss="modal" onclick="return false;"/>
                    <b:commandButton class="gzl-mt-2rem" largeScreen="half" update="@form"
                                     dismiss="modal"
                                     value="Désactiver" look="danger"
                                     action="#{tokenBean.getDeactivateToken}"
                                     actionListener="#{growlBean.resultDeactivateToken()}"
                                     oncomplete="if(!validationFailed) { $('.formValidationDeactivateToken').modal('hide') }function () { location.reload(); }">
                    </b:commandButton>
                </b:form>
            </b:column>
        </b:row>
    </b:modal>
</ui:fragment>